summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Daniel Prosser2017-11-10 09:01:06 +0100
committer Willy Sudiarto Raharjo2017-11-11 01:07:36 +0100
commit1e9eb1b4a9ce7de253d38b36ced73eb367fb3e97 (patch)
tree24d920ba22886727048d05ff9cca3d64be351a33 /misc
parentc7ac14166afdb4c52be3e3d8a763fbda3992aae1 (diff)
downloadold.slackbuilds-1e9eb1b4a9ce7de253d38b36ced73eb367fb3e97.tar.gz
misc/sunwait: Added (calculates sunrise or sunset times)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/sunwait/README5
-rw-r--r--misc/sunwait/slack-desc19
-rw-r--r--misc/sunwait/sunwait.SlackBuild90
-rw-r--r--misc/sunwait/sunwait.info10
4 files changed, 124 insertions, 0 deletions
diff --git a/misc/sunwait/README b/misc/sunwait/README
new file mode 100644
index 0000000000..84d5e02b45
--- /dev/null
+++ b/misc/sunwait/README
@@ -0,0 +1,5 @@
+Sunwait calculates sunrise or sunset times with civil, nautical, astronomical,
+and custom twilights. It is intended for use in home automation with Windows
+Task Scheduler or cron. The program can wait from invocation until the event
+specified on the command line occurs or it can return immediately indicating if
+it is day or night.
diff --git a/misc/sunwait/slack-desc b/misc/sunwait/slack-desc
new file mode 100644
index 0000000000..d5ade9e71a
--- /dev/null
+++ b/misc/sunwait/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sunwait: sunwait (calculates sunrise or sunset times)
+sunwait:
+sunwait: Sunwait calculates sunrise or sunset times with civil, nautical,
+sunwait: astronomical, and custom twilights. It is intended for use in home
+sunwait: automation with Windows Task Scheduler or cron. The program can wait
+sunwait: from invocation until the event specified on the command line occurs
+sunwait: or it can return immediately indicating if it is day or night.
+sunwait:
+sunwait: Homepage: https://sourceforge.net/projects/sunwait4windows/
+sunwait:
+sunwait:
diff --git a/misc/sunwait/sunwait.SlackBuild b/misc/sunwait/sunwait.SlackBuild
new file mode 100644
index 0000000000..84144aef60
--- /dev/null
+++ b/misc/sunwait/sunwait.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for sunwait
+
+# Copyright 2017 Daniel Prosser, Lexington Park, MD
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sunwait
+VERSION=${VERSION:-0.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCVER="$(printf $VERSION | tr . -)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/${PRGNAM}${SRCVER}.tar
+cd $PRGNAM/$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make CFLAGS="-c $SLKCFLAGS"
+
+# Install the executable manually, since there's no `make install`
+mkdir -p $PKG/usr/bin
+install -m 0755 sunwait $PKG/usr/bin
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/sunwait/sunwait.info b/misc/sunwait/sunwait.info
new file mode 100644
index 0000000000..c3975ccfa9
--- /dev/null
+++ b/misc/sunwait/sunwait.info
@@ -0,0 +1,10 @@
+PRGNAM="sunwait"
+VERSION="0.8"
+HOMEPAGE="https://sourceforge.net/projects/sunwait4windows/"
+DOWNLOAD="https://downloads.sourceforge.net/sunwait4windows/sunwait0-8.tar"
+MD5SUM="97b062fb4adce37d4af59f5b42675fce"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Daniel Prosser"
+EMAIL="dpross1100@msn.com"